Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdService.VAT

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdService
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdService.VAT

Enclosing class:
  cmdService

    public static class cmdService.VAT
    extends cmdService

This class contains methods for handling tax rates (VATS), Decimal point and currency

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdService

  `cmdService.VAT`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VAT()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `getDecimalPoint()` |
  `java.lang.String` | `getDecimals()` |
  `java.util.List<java.lang.Boolean>` | `getVatEnabled()` |
  `java.util.List<java.lang.String>` | `getVatRates()` | Reading VAT rates
  `static void` | `setDecimalPoint​(java.lang.String decimalPoint)` |
  `int` | `setFractionalPrices()` | Note When changing decimal_point is necessary to restart the printer so the correct values indicate on the client display
  `int` | `setIntegerPrices()` | Note When changing decimal_point is necessary to restart the printer so the correct values indicate on the client display
  `int` | `setVatRates​(java.lang.String TaxA, java.lang.String TaxB, java.lang.String TaxC, java.lang.String TaxD, java.lang.String TaxE, java.lang.String TaxF, java.lang.String TaxG, java.lang.String TaxH)` | Programming of VAT rates
  `int` | `setVatRates​(java.util.List<java.lang.String> vats)` | Programming of VAT rates

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdService

  `customCommand, GetFiscalMemoryNumber, PrintBluetoothInfo, PrintDiagnosticInfo, PrintLANInfo, PrintNRAConnectionInfo, TestOfTheModem, TestOfTheModemNoPPP`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VAT

    public VAT()

- ## Method Details

  - ### getDecimalPoint

    public static java.lang.String getDecimalPoint()

  - ### setDecimalPoint

    public static void setDecimalPoint​(java.lang.String decimalPoint)

  - ### setVatRates

    public int setVatRates​(java.util.List<java.lang.String> vats) throws java.io.IOException, FiscalException
    Programming of VAT rates
    Parameters:
      `vats` - - Value of VAT rate X; * 0.00...99.99 - enabled; * 100.00 - disabled;
    Returns:
      RemainingChanges - number of remaining changes (1...30);
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setVatRates

    public int setVatRates​(java.lang.String TaxA, java.lang.String TaxB, java.lang.String TaxC, java.lang.String TaxD, java.lang.String TaxE, java.lang.String TaxF, java.lang.String TaxG, java.lang.String TaxH) throws java.io.IOException, FiscalException
    Programming of VAT rates
    Parameters:
      `TaxA` - Value of VAT rate X; 0.00...99.99 - enabled; 100.00 - disabled;
      `TaxB` -
      `TaxC` -
      `TaxD` -
      `TaxE` -
      `TaxF` -
      `TaxG` -
      `TaxH` -
    Returns:
      RemainingChanges - number of remaining changes (1...30);
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getVatRates

    public java.util.List<java.lang.String> getVatRates() throws java.io.IOException, FiscalException
    Reading VAT rates
    Returns:
      - the active VAT rates
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setIntegerPrices

    public int setIntegerPrices() throws java.io.IOException, FiscalException
    Note When changing decimal_point is necessary to restart the printer so the correct values indicate on the client display
    Returns:
      RemainingChanges - number of remaining changes (1...30);
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFractionalPrices

    public int setFractionalPrices() throws java.io.IOException, FiscalException
    Note When changing decimal_point is necessary to restart the printer so the correct values indicate on the client display
    Returns:
      RemainingChanges - number of remaining changes (1...30);
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getVatEnabled

    public java.util.List<java.lang.Boolean> getVatEnabled() throws java.io.IOException, FiscalException
    Returns:
      List of boolean with enabled-true or disabled-false values
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getDecimals

    public java.lang.String getDecimals() throws java.io.IOException, FiscalException
    Returns:
      - number of symbols after decimal point;

      Depending on whether setFractionalPrices return 2, if setIntegerPrices is used return 0

    Throws:
      `java.io.IOException`
      `FiscalException`